Subject: RE: [Sip] international chars in hostname part of SIP URL

From: "Ajay Chitturi" <[email-masked]>
Date: Fri, 7 Sep 2001 15:02:24 -0700

Sorry I wasn't clear.
I meant once UTF-8 domain names are a reality will the hostname part allow escaped characters (similar to the user part in today's syntax) or will it allow UTF-8 in general.
Also could you comment on why the user part doesn't allow UTF-8 in general and allows only escaped characters.

Thanks
Ajay.

-----Original Message-----
From: Henning G. Schulzrinne [mailto:[email-masked]]
Sent: Friday, September 07, 2001 1:38 PM
To: Ajay Chitturi
Cc: [email-masked]
Subject: Re: [Sip] international chars in hostname part of SIP URL

Ajay Chitturi wrote:
> 
> Also why does the user part of the URI allow only escaped characters and not full UTF8 minus {some reserved characters required for parsing) ?
> When UTF-8 domain names become a reality will a similar approach be followed for hostname part as well ?

Domain names are the same thing as host names. I'm inquiring with
authorities on naming about other URL components.

-- 
Henning Schulzrinne   http://www.cs.columbia.edu/~hgs

_______________________________________________
Sip mailing list  http://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip